aboutsummaryrefslogtreecommitdiffstats
path: root/yardstick/benchmark/scenarios/compute/cache_stat.bash
diff options
context:
space:
mode:
authorJingLu5 <lvjing5@huawei.com>2016-05-19 10:48:41 +0800
committerJingLu5 <lvjing5@huawei.com>2016-06-01 09:40:38 +0800
commit62181af69580ea0a80f50767803339bf1984f5ac (patch)
tree0cc8c2e83d7623ed5d4b061850c8361f2ae6d093 /yardstick/benchmark/scenarios/compute/cache_stat.bash
parent438596f8942f13e5c5c429b9ae38878e87a3e6ca (diff)
Add cachestat scenario
JIRA: YARDSTICK-267 This scenario reads system cache hit/miss ratio and other statistics using cachestat tool. Change-Id: I601cb7e64d234571c0a0fd65a5e32604b3a617ec Signed-off-by: JingLu5 <lvjing5@huawei.com>
Diffstat (limited to 'yardstick/benchmark/scenarios/compute/cache_stat.bash')
-rw-r--r--yardstick/benchmark/scenarios/compute/cache_stat.bash30
1 files changed, 30 insertions, 0 deletions
diff --git a/yardstick/benchmark/scenarios/compute/cache_stat.bash b/yardstick/benchmark/scenarios/compute/cache_stat.bash
new file mode 100644
index 000000000..393af410c
--- /dev/null
+++ b/yardstick/benchmark/scenarios/compute/cache_stat.bash
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Run a cachestat cache benchmark in a host
+
+set -e
+
+INTERVAL=$1
+
+run_cachestat()
+{
+ cd /opt/tempT/Cachestat
+ bash cachestat $INTERVAL
+}
+
+main()
+{
+ # run the test
+ run_cachestat
+}
+
+main